//Below is the 78 chars line!
//----------------------------------------------------------------------------
//Jason Winnebeck

#include "window.h"
#include "textbox.h"
#include <strstream.h>
#include <curses.h>

int main() {
  WINDOW* mainWin = initscr();
  InitColors();
  cbreak();
  noecho();
  mvprintw(0, 0, "This line should never be erased!\n");
  mvprintw(1, 0, longname());
  refresh();

  //Set up Window
  CWindow MainWin(10, 4, 50, 10);
  MainWin.SetName("Main Window");
  MainWin.SetColors(1, 15, 7);
  MainWin.Draw();
  MainWin.Clear();

  //Draw to window
  ostrstream* temp = new ostrstream;
  *temp << "This is the main window, and this is the text that is being displayed "
       << "in the window.  The number 6 looks like: " << 6 << endl;
  MainWin << temp ;
  MainWin << "This appears on the next line" << '\n';

  //  getch();
  //  MainWin.SetColors(1, 7, 8);
  //  MainWin.Draw();
  MainWin << "Changed to a \"inactive window\" type motif\n";
  getch();
  MainWin << "Hello: " << 25.5 << '%' << "\nNext Line\n";
  MainWin << "\n\n";

  //Do some text input
  CTextBox Info(5, 20, 40, 4);
  Info.SetName("Enter some Info");
  Info.SetColors(2, 10, 10);
  Info.Draw();
  Info.SetMax(100);
  while (!Info.Update()) {}
  Info.Erase();

  //Terminate
  MainWin << "User entered: " << Info.GetInput() << '\n';
  MainWin << "Program Finished... Exiting\n";
  getch();

  endwin();
  return 0;
}
